package calculator;

import java.util.Scanner;

public class Calculator {

	public static void main(String[] args) {
		Calculator c = new Calculator();
		c.run();
	}

	private void run() {
		try {
			int a = read();
			int b = read();

			printSum(a, b);
		} catch(MyException | RuntimeException e) {
			System.out.println("very special exception!");
		} catch(Exception e) {
			System.out.println("error handled");
		}
		
		
	}
	

	public int read() throws MyException {
		Scanner in = new Scanner(System.in);
		
		System.out.print("Type in a number: ");
		
		try {
			return in.nextInt();		
		} catch(Exception e) {
			System.out.println("Error: Not a number!");
			throw new NullPointerException();
			
		}
	}

	private void printSum(int a, int b) {
		int sum = a + b;
		System.out.println("The sum is: " + sum);
	}
}
