package lists;

import static org.junit.Assert.assertEquals;

import java.util.Iterator;

import org.junit.Test;

public class ListTest {
	
	@Test
	public void testLinkedList() {
		MyStringList ll = new MyStringLinkedList();
		ll.add("first");
		ll.add("second");
		
		
		for(int i = 0; i < ll.size(); i++) {
			String item = ll.get(i);
			System.out.println(item);
		}
		
		for(String item : ll) {
			System.out.println(item);
		}
				
//		for(Iterator<String> iter = ll.iterator(); iter.hasNext(); /* nichts */) {
//			String element = iter.next();
//		}
		
		//		testList(ll);
	}
	
	private void testList(MyStringList list) {
		assertEquals(0, list.size());
		
		list.add("firstString");
		list.add("secondString");
		
		assertEquals(2, list.size());
		assertEquals("firstString", list.get(0));
		assertEquals("secondString", list.get(1));
		
		list.add("thirdString");
		assertEquals(3, list.size());
		assertEquals("thirdString", list.get(2));
		
		list.remove(1);
		
		assertEquals(2, list.size());
		assertEquals("firstString", list.get(0));
		assertEquals("thirdString", list.get(1));
		
		list.remove("firstString");
		assertEquals(1, list.size());
		assertEquals("thirdString", list.get(0));
	}
}
