package threads;

import java.util.ArrayList;
import java.util.List;

public class ThreadTest {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		List<Thread> workers = new ArrayList<Thread>();
		
		for(int i = 0; i < 25; i++) {
			Runnable task = new CounterRunnable(1000000000L + i);
			
			Thread worker = new Thread(task);
			worker.start();
			
			workers.add(worker);
		}
		
		int running;
		do {
			running = 0;
			
			for(Thread worker : workers) {
				if(worker.isAlive()) {
					running++;
				}
			}
			
			System.out.println(running + " threads are running");
		} while(running > 0);
		
	}

}
